Install an integration
curl --request POST \
--url https://api.kataven.ai/v1/api/v1/integrations/{id}/install \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"params": {
"api_version": "2024-09",
"region": "us-east-1"
},
"secrets": {
"api_key": "sk_live_...",
"webhook_secret": "whsec_..."
}
}
'import requests
url = "https://api.kataven.ai/v1/api/v1/integrations/{id}/install"
payload = {
"params": {
"api_version": "2024-09",
"region": "us-east-1"
},
"secrets": {
"api_key": "sk_live_...",
"webhook_secret": "whsec_..."
}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
params: {api_version: '2024-09', region: 'us-east-1'},
secrets: {api_key: 'sk_live_...', webhook_secret: 'whsec_...'}
})
};
fetch('https://api.kataven.ai/v1/api/v1/integrations/{id}/install', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}"<string>""<string>""<string>"Integrations
Install an integration
Stores params (plaintext) and secrets (encrypted) supplied by the caller, then flips the integration row’s status to ‘installed’. Empty body installs without params.
POST
/
api
/
v1
/
integrations
/
{id}
/
install
Install an integration
Authorizations
Headers
Tenant database. Required when using a Zitadel JWT.
Path Parameters
Integration id (uuid) or name
Body
application/json
Params and secrets
Response
OK

